# Method: projects.patchDeployments.pause

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments/pause#try-it)

Change state of patch deployment to "PAUSED". Patch deployment in paused state doesn't generate patch jobs.

### HTTP request

`POST https://osconfig.googleapis.com/v1/{name=projects/*/patchDeployments/*}:pause`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the patch deployment in the form `projects/*/patchDeployments/*`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1/projects.patchDeployments#PatchDeployment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `osconfig.patchDeployments.pause`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).